package com.service.impl;

import com.dao.EmergencyResourcesMapper;
import com.entity.EmergencyResources;
import com.service.EmergencyResourcesService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class EmergencyResourcesServiceImpl implements EmergencyResourcesService {
	@Resource
    private EmergencyResourcesMapper emergencyResourcesdao;

	@Override
	public int add(EmergencyResources po) {
		return emergencyResourcesdao.insertSelective(po);
	}
	@Override
	public int update(EmergencyResources po) {
		return emergencyResourcesdao.updateByPrimaryKeySelective(po);
	}
	@Override
	public int delete(int id) {
		return emergencyResourcesdao.deleteByPrimaryKey(id);
	}
	@Override
	public List<EmergencyResources> getAll(Map<String, Object> map) {
		return emergencyResourcesdao.getAll(map);
	}
	@Override
	public List<EmergencyResources> getAllNotFid(Map<String, Object> map) {
		return emergencyResourcesdao.getAllNotFid(map);
	}
	@Override
	public EmergencyResources checkName(Map<String, Object> account) {
		return emergencyResourcesdao.checkName(account);
	}
	@Override
	public List<EmergencyResources> getByPage(Map<String, Object> map) {
		return emergencyResourcesdao.getByPage(map);
	}
	@Override
	public int getCount(Map<String, Object> po) {
		return emergencyResourcesdao.getCount(po);
	}
	@Override
	public EmergencyResources getById(int id) {
		return emergencyResourcesdao.selectByPrimaryKey(id);
	}


}
